Bug 63035 - find bar: add '[x] match case' option
Summary: find bar: add '[x] match case' option
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Andrzej Hunt
QA Contact:
URL:
Whiteboard: target:4.2.0 target:4.1.0.0.beta2
Keywords: difficultyInteresting, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2013-04-02 15:05 UTC by Michael Meeks
Modified: 2015-12-16 00:22 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2013-04-02 15:05:01 UTC
The current ctrl-f find-bar is really nice, but it is missing the feature to easily toggle the 'match case' feature that we find in the dialog.

The uiconfig/ files eg.

sw/uiconfig/swriter/toolbar/findbar.xml

Specify the toolbar UI; the 'FindText' command we see implemented in:

svx/source/tbxctrls/tbunosearchcontrollers.cxx

I imagine to get a check-box embedded there we would need to add something like:

css::uno::Reference< css::awt::XWindow > SAL_CALL FindTextToolbarController::createItemWindow( const css::uno::Reference< css::awt::XWindow >& Parent ) throw ( css::uno::RuntimeException )

that wrapped a vcl/inc/vcl/button.hxx /CheckButton/

with a suitable legend.
Comment 1 Andrzej Hunt 2013-05-19 20:23:18 UTC
(Taken this on as there doesn't seem to have been any progress in the last month.)

I think I've got most of the code for the checkbox written, still need to figure how to make it actually load though, and then integrate it into the search.

I assume this should be added to all the findbars in sd and sw?
Comment 2 Michael Meeks 2013-05-20 08:26:45 UTC
Hi Andrzej:

> I think I've got most of the code for the checkbox written, still need
> to figure how to make it actually load though, and then integrate it
> into the search.

Nice ! :-) the feature-freeze is today of course for 4.1 but ... :-)

> I assume this should be added to all the findbars in sd and sw?

Yes - I imagine it will require an entry in the uiconfig/ files for all the components that include the findbar [ sadly those files are duplicated a lot ].

I guess that then needs an association with your new control for the check-box via some means that is prolly best discovered by digging at an existing toolbar control to see how it's done :-)

Thanks !
Comment 3 Commit Notification 2013-05-23 09:02:10 UTC
Andrzej J.R. Hunt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bfd495d9754e293d6561363ab6e27b45e2e403f0

fdo#63035 Add "Match Case" to Find bar.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Meeks 2013-05-23 11:28:46 UTC
So closed ... :-) thanks Andrzej !
Comment 5 Commit Notification 2013-05-24 14:36:35 UTC
Andrzej J.R. Hunt committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0eccb0d1618b7e00856e778ed9c2e785ef3af3ce&h=libreoffice-4-1

fdo#63035 Add "Match Case" to Find bar.


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-16 00:22:25 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyInteresting,SkillCpp )
[NinjaEdit]